Einzelschrittbetrieb (M2)

1.1 EinzelschrittbetriebPAGEREF _Toc247449146 \h3

1.2 Beschreibung der verschiedenen Betriebsmodi 3

1.3 Parameter 4

1.3.1 Übersicht 4

1.3.2 Beschreibung 4

1.4 Schnittstellenanbindung 5

1.4.1 Anwahl via HMI-Schnittstelle 5

Mehr:

button Einzelschrittbetrieb

button Beschreibung der verschiedenen Betriebsmodi

button Parameter

button Schnittstellenanbindung


Einzelschrittbetrieb

Aufgabe

Bei aktivem Einzelschrittbetrieb hat der Maschinenbediener die Möglichkeit, Schritt für Schritt ein NC-Programm auszuführen. Jede NC-Zeile wird vom Bediener einzeln freigegeben. Kommentarzeilen oder Kommentar-blöcke werden übersprungen.

Eigenschaften

Die Unterbrechung des Ablaufes des NC-Programmes an den Satzgrenzen wird im Interpolator durchgeführt. Der Ablauf bei der Decodierung bzw. im Look-Ahead wird nicht beeinflusst. Dadurch können auch im Einzelschritt konturkorrigierende Funktionen wie Spline bzw. Werkzeugradiuskorrektur aktiv sein.

Allerdings können konturverändernde Funktionalitäten Satzgrenzen auch verschieben. Für den Einzelschrittbetrieb sind nicht die programmierten, sondern ggf. dann die verschobenen Satzgrenzen wirksam.

Konfiguration
der Wirkungsweise

Die Wirkungsweise des Einzelschrittbetriebes kann durch den Kanalparameter P-CHAN-00015 (einzelschrittmodus) beeinflusst werden. Ist der Einzelschrittbetrieb aktiviert, so kann abhängig von diesem Parameter folgendes Verhalten eingestellt werden. Ist der Parameter auf -1 gesetzt so wird nur nach NC-Sätzen mit Achsbewegung angehalten. Ist der Parameteter auf 0 gesetzt, so wird nach NC-Sätzen mit Achsbewegung oder relevanten Kanal-Steuerinformationen angehalten (z.B. M-Funktion). Ist der Parameter auf 1 gesetzt, wird an jeder im NC-Programm enthaltenen Zeile angehalten. Ausnahme: Kommentare; - diese werden immer übersprungen.


Beschreibung der verschiedenen Betriebsmodi

Anwahl

Der Einzelschritt und seine Betriebsmodi können über die Bedienung oder die PLC zu jedem beliebigen Zeitpunkt gesetzt werden.

Folgende Betriebsmodi stehen zur Verfügung:

Step into

Als Defaulteinstellung ist für den Einzelschritt der Betriebsmodus "Step into" aktiv. Dies bedeutet, dass bei Unterprogrammaufrufen am ersten Satz im Unterprogramm der Programmablauf wieder unterbrochen wird.

Einzelschritt wirkt also auf jede programmierte NC-Zeile, die im Ablauf des Programmes bearbeitet wird.

Step over

Sollen die in einem Unterprogramm enthaltenen NC-Zeilen nicht im Einzelschritt gefahren werden, kann der Betriebsmodus "Step over" eingestellt werden. Dies bedeutet, dass im nächsten Schritt ein ev. vorhandener Unterprogrammaufruf nicht zu einem Anhalten führt.

Die Programmbearbeitung wird ohne Anhalten solange fortgesetzt, bis das Unterprogramm wieder verlassen wird.

Diese Eigenschaft gilt auch für geschachtelte Unterprogramme.

Return from function

Alle nachfolgenden Anweisungen führen nicht zu einem Stopp. Erst der Rücksprung aus der aktuellen Programmebene führt wieder zu einem Anhalten des NC-Programmes.

Befindet sich die aktuelle Unterbrechungsstelle bereits in der obersten Ebene, also dem Hauptprogramm, wirkt dieser Betriebsmodi wie "Step into".


Parameter

Mehr:

button Übersicht

button Beschreibung


Übersicht

ID | Parameter | Beschreibung
P-CHAN-00015 | einzelschrittmodus | Arbeitsweise des Einzelschrittbetriebs


Beschreibung

P-CHAN-00015

Arbeitsweise des Einzelschrittbetriebs

Parameter

einzelschrittmodus

Beschreibung

-1: es wird nach Aktivierung des Einzelschrittbetriebs per Bedienung nur nach NC-Sätzen mit Achsbewegung angehalten.

0: es wird nach Aktivierung des Einzelschrittbetriebs per Bedienung nach NC-Sätzen mit Achsbewegung oder relevanten Steuerinformationen angehalten.

1: es wird nach Aktivierung des Einzelschrittbetriebs per Bedienung nach dem Ende jeden NC-Satzes angehalten. Nur Kommentarzeilen werden übersprungen.

Werden durch bestimmte NC-Funktionalitäten (WRK, SPLINE, Polynomüberschleifen etc.) Bewegungssätze eingefügt und Satzgrenzen verändert, so bestimmen diese neuen Satzgrenzen auch das Anhalten im Einzelschrittbetrieb.

Datentyp

SGN16

Datenbereich

-1 <= P-CHAN-00015 <= 1

Dimension

translatorisch: -

rotatorisch: -

Standardwert

0

Anmerkungen

-


Schnittstellenanbindung

Mehr:

button Anwahl via HMI-Schnittstelle


Anwahl via HMI-Schnittstelle

Der Betriebsmodus des Einzelschrittbetriebes wird durch Schreiben des Modifikators vor dem nächsten Schritt durch die PLC eingestellt.

Der Betriebsmodus ist haltend wirksam.

Betriebsmodus Einzelschrittbetrieb
Beschreibung | Über dieses Schnittstellenelement kann die PLC die Wirkungsweise des Einzelschrittbetriebs wählen.
Typ | 4 Byte
Wertebereich | 0: Step into 1: Step over 2: Return from function
HMI Elemente | Kann momentan nur über ADS gesetzt werden.
Zugriff | Read, write
ADS | Portnummer 551 IndexOffsetADS = 0x1A IndexGroupADS = 0x02130ii<ii> mit <ii> = Kanal